package com.fxy.constant;

/**
 * 项目名称：FingerStorage
 * 类描述：EventBus通讯标志
 * 创建人：admin
 * 创建时间：2018/3/14 16:58
 * 修改人：COMP-021-2006
 * 修改时间：2018/3/14 16:58
 * 修改备注：
 */

public final class EventCode {
    /**
     * 刷新蓝牙监听
     */
    public static final int refresh_blue_lister = 0x1;
    /**
     * 未完成任务刷新
     */
    public static final int taskToRefresh = 0x2;
    /**
     * 已完成任务刷新
     */
    public static final int taskCompleteRefresh = 0x3;

    /**
     * 完成单项货物信息的添加
     */
    public static final int taskToTransmissionGoodsDetails = 0x4;

    /**
     * 更新显示的商户信息
     */
    public static final int taskToTransmissionBusinessInfomation = 0x5;
    /**
     * 更新显示的商品名称信息
     */
    public static final int taskToTransmissionGoodsNameInfomation = 0x6;

    /**
     * 完成更新按箱收货的单货信息
     */
    public static final int taskToTransmissionGoodsBarInfomation = 0x7;

    /**
     * 完成更新按箱收货的单箱信息
     */
    public static final int taskToTransmissionGoodsBarOfBoxInfomation = 0x8;

    /**
     * 完成更新上架的货品信息
     */
    public static final int taskToTransmissionUpperShelf = 0x9;

    /**
     * 拣货任务的拣货item
     */
    public static final int pickCargoItemBean = 0x101;
    /**
     * 装箱任务的装箱item
     */
    public static final int binningBoxItemBean = 0x102;
/**
     * 装箱任务的装箱item里的货物item
     */
    public static final int binningBoxCargoItemBean = 0x103;
    /**
     * 码盘任务的码盘列表
     */
    public static final int trayBoxItemBean = 0x104;
    /**
     * 获取图片上传后服务器返回的地址集合(逗号分隔)
     */
    public static final int getImgUrl = 0x105;
    /**
     * 录制视频后视频存储地址
     */
    public static final int getVideoModel = 0x106;
    /**
     * 上传视频后的model
     */
    public static final int getVideoUrlModel = 0x107;
    /**
     * 盘点任务刷新
     */
    public static final int check_refresh = 0x108;
    /**
     * 收货包材赋值
     */
    public static final int packingMaterials = 0x109;
    /**
     * 收货主面板刷新
     */
    public static final int receive_main_refresh = 0x110;
    /**
     * 上架主面板刷新
     */
    public static final int putway_main_refresh = 0x111;

    /**
     * 包装校验-剔除无货订单
     */
    public static final int pack_validate_delete_order = 0x112;

    /**
     * 移位刷新
     */
    public static final int displacement_refresh = 0x113;

    /**
     * FBA签出任务刷新
     */
    public static final int check_out_refresh = 0x114;

}
